Bug 523531 - Vino notification icon behaviour is not consistent with other notification icons
Summary: Vino notification icon behaviour is not consistent with other notification icons
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: vino
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Søren Sandmann Pedersen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-15 20:32 UTC by Craig Robson
Modified: 2014-06-18 09:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-05 06:24:14 UTC


Attachments (Terms of Use)

Description Craig Robson 2009-09-15 20:32:54 UTC
Description of problem:

This description assumes a default right handed mouse button configuration.

Most tray notification icons show actions for left click and configuration options for right click.  The vino one partly does this but left clicking brings up the preferences screen too.  Right click shows configuration options and disconnect client actions.

The left click should be changed to show the disconnect client menu and any other actions like this.  The client actions should not be shown on right click.


Version-Release number of selected component (if applicable):
2.26.2

Comment 1 Jerry Amundson 2010-09-02 04:02:11 UTC
My assumption is that the Assigned To here is either,
1. Deceased, or
2. Not interested.

Comment 2 Jerry Amundson 2010-09-02 17:36:42 UTC
Or,
3. Assigned To is busy, and has other priorities!

My apologies for the earlier remark - I have bugs with no activity for months and assumed otherwise. But I see updates by sandmann@redhat.com as recently as 2010-08-24 09:11:27 EDT.

I'll try to help by marking duplicates. Sorry for the noise.

Comment 3 Craig Robson 2010-09-03 03:30:22 UTC
I filed this bug upstream too and they seem to be Deceased or Not interested too.

https://bugzilla.gnome.org/show_bug.cgi?id=607523

Comment 4 Bug Zapper 2010-11-04 10:01:02 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Bug Zapper 2010-12-05 06:24:14 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.